DLEP Radio Channel Utilization Extension
Internet-Draft draft-ietf-manet-dlep-channel-utilization-01
Henning Rogge
Fraunhofer FKIE
Fraunhofer Strasse 20
Wachtberg
53343
DE
henning.rogge@fkie.fraunhofer.de
2024
Routing
Manet
DLEP
PHY
TLV
This document defines an extension to the Dynamic Link Exchange Protocol (DLEP) to provide the utilization of a radio channel.
Introduction
The Dynamic Link Exchange Protocol (DLEP) is defined in [RFC8175]. It provides the exchange of link-related control information between DLEP peers. DLEP peers are comprised of a modem and a router. DLEP defines a base set of mechanisms as well as support for possible extensions. This document defines one such extension.
Radio channel utilization provides a packet/frame independent measurement how a radio channel is used and how much resources are still available. While incoming and outgoing traffic can be easily measured on the router, the amount of airtime used by management traffic of the radio is invisible to the router, as is unicast traffic between two adjecant radios (unless the radio supports promiscous mode). This could present the a fully utilized radio channel to the router as totally empty. Getting a direct radio level information how much time on the radio channel has been used up by incoming or outgoing data or control frames allows a router to calculate a better routing metric or allows management agents to detect a channel being unusable for communication because of external jamming.
Requirements Language
In many IETF documents, several words, when they are in all capitals as shown below, are used to signify the requirements in the specification. These capitalized words can bring significant clarity and consistency to documents because their meanings are well defined. This document defines how those words are interpreted in IETF documents when the words are in all capitals.
- These words can be used as defined here, but using them is not required. Specifically, normative text does not require the use of these key words. They are used for clarity and consistency when that is what's wanted, but a lot of normative text does not use them and is still normative.
- The words have the meanings specified herein only when they are in all capitals.
- When these words are not capitalized, they have their normal English meanings and are not affected by this document.
Authors who follow these guidelines should incorporate this phrase near the beginning of their document:
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Extension Usage and Identification
The use of the Channel Utilization Extension SHOULD be configurable. To indicate that the Channel Utilization Extension is to be used, an implementation MUST include the Radio Channel Utilization Extension ID in the Extensions Supported Data Item. The Extensions Supported Data Item is sent and processed according to [RFC8175].
The Channel Utilization TLVs can be used by the router to improve the tracking of channel usage by different radios and give a more exact estimate how much free capacity the channel has currently. This information can be used for adjusting timing intervals between automatically generated data, e.g. HELLO messages of the local routing protocol.
All four Data Items are time measurements in nanoseconds since an arbitrary starting point, e.g. the radio bootup. They are never reseted and will just increase monotonic.
The first Data Item (Radio Channel Active) announces the channels livetime of the radio channel while the other three provide the amount of time the channel has been used in different ways. Radio Channel Rx provides the time the radio is receiving data, Radio Channel Tx the time the radio is sending data and Radio Channel Busy the time the radio channel is blocked for any unknown reason.
A radio that doesn't track the time for receiving and transmitting data explicitly can just add all times the radio channel is not free into the Radio Channel Busy Data Item.
The time the radio channel has been free can be calculated by substracting the values of Busy, Rx and Tx from the value provided by the Radio Active Channel Data Item. By tracking these values over time The router can calculate statistics on the channel usage for routing metrics or report the received value to a management layer.
Data Items
All four Data Items of this extension can be used both as Session specific and Destination specific metrics. If the radio is only tracking channel usage on interface level, the Data Items are used in SessionInitResponse and SessionUpdate messages. If the radio also is tracking channel usage for each Destination, they are also used in DestinationUp, DestinationUpdate and DestinationAnnounceResponse messages.
Radio Channel Active Data Item
Radio Channel Active Item contains information how long the radio channel has been active. This provides the router with a reference to interpret the values provided by the other three Data Items. Because of this the value in this item must be larger than the values in the other three Data Items this extensions defines together.
This Data Item is mandatory for SessionInitResponse messages.
The format of the Radio Channel Active Data Item is:

0                   1                   2                   3
0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Data Item Type                | Length                        |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                          Active Time                          |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                          Active Time                          |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Data Item Type:
TBD
Length:
8
Active Time:
Time in nanoseconds since the channel has been active.
Radio Channel Busy Data Item
Radio Channel Busy Item contains information how much time the radio channel has been busy, not including the time provided in the Channel Rx and Chanel Tx Data Item.
The format of the Radio Channel Busy Data Item is:

0                   1                   2                   3
0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Data Item Type                | Length                        |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                           Busy Time                           |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                           Busy Time                           |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Data Item Type:
TBD
Length:
8
Busy Time:
Time in nanoseconds the channel was busy during its active time.
Radio Channel Rx Data Item
Radio Channel Rx Item contains information how much time the local radio has been receiving data from other radios.
The format of the Radio Channel Rx Data Item is:

0                   1                   2                   3
0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Data Item Type                | Length                        |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                            Rx Time                            |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                            Rx Time                            |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Data Item Type:
TBD
Length:
8
Rx Time:
Time in nanoseconds the local radio was receiving data from other radios during its active time.
Radio Channel Tx Data Item
Radio Channel Tx Item contains information how much time the local radio has been transmitting data to other radios.
The format of the Radio Channel Tx Data Item is:

0                   1                   2                   3
0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Data Item Type                | Length                        |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                            Tx Time                            |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                            Tx Time                            |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Data Item Type:
TBD
Length:
8
Tx Time:
Time in nanoseconds the local radio was transmitting data to other radios during its active time.
Security Considerations
The extension introduces a new Data Item for DLEP. The extension does not inherently introduce any additional vulnerabilities above those documented in [RFC8175]. The approach taken to security in that document applies equally when running the extension defined in this document.
IANA Considerations
As described below, IANA has assigned two values per this document. Both assignments are to registries defined by [RFC8175].
Extension Type Value
IANA has assigned the following value in the "Extension Type Values" registry within the "Dynamic Link Exchange Protocol (DLEP) Parameters" registry. The new value is in the range with the "Specification Required" [RFC8126] policy:
New Extension Type Value
Code | Description
TBD | Radio Channel Utilization
Data Item Value
IANA has assigned the following value in the "Data Item Type Values" registry within the "Dynamic Link Exchange Protocol (DLEP) Parameters" registry. The new value is in the range with the "Specification Required" [RFC8126] policy:
New Data Item Value
Type Code | Description
TBD | Radio Channel Active
TBD | Radio Channel Busy
TBD | Radio Channel Rx
TBD | Radio Channel Tx
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
[RFC8175]

Dynamic Link Exchange Protocol (DLEP)
S. Ratliff
S. Jury
D. Satterwhite
R. Taylor
B. Berry
June 2017
RFC 8175
DOI 10.17487/RFC8175
Informative References
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126